@extends('layouts.app')

@section('content')

<div class="container content">
    <div class="row titulo">
        <h1>Perfil</h1>
    </div>

    <div class="row subtitulo">
        <div class="col-sm-12">
            <p>Informações Pessoais</p>
        </div>
    </div>

    <form method="POST" action="{{ route('perfil') }}">
        @csrf
        <div class="row justify-content-center">
            <input hidden name="id" value="{{$user->id}}">
            <div class="col-md-8">
                <label for="name" class="col-form-label">{{ __('Nome Completo') }}</label>
                <input value="{{$user->name}}" id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus disabled>

                @error('name')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <div class="col-md-4">
                <label for="cpf" class="col-form-label">{{ __('CPF') }}</label>
                <input value="{{$user->cpf}}" id="cpf" type="text" class="form-control @error('cpf') is-invalid @enderror" name="cpf" value="{{ old('cpf') }}" required autocomplete="cpf" autofocus disabled>

                @error('cpf')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

        </div>
        <div class="row justify-content-center">

            <div class="col-md-8">
              <label for="instituicao" class="col-form-label">{{ __('Instituição de Ensino') }}</label>
              <input value="{{$user->instituicao}}" id="instituicao" type="text" class="form-control @error('instituicao') is-invalid @enderror" name="instituicao" value="{{ old('instituicao') }}" disabled required autocomplete="instituicao" autofocus>

              @error('instituicao')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
            </div>

            <div class="col-md-4">
                <label for="celular" class="col-form-label">{{ __('Celular') }}</label>
                <input value="{{$user->celular}}" id="celular" type="text" class="form-control @error('celular') is-invalid @enderror" name="celular" value="{{ old('celular') }}" disabled required autocomplete="celular" autofocus>

                @error('celular')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

        </div>

        <div class="row justify-content-center">

            <div class="col-md-12">
              <label for="instituicao" class="col-form-label">{{ __('E-mail') }}</label>
              <input value="{{$user->email}}" id="email" type="text" class="form-control @error('email') is-invalid @enderror" name="instituicao" value="{{ old('email') }}" disabled autocomplete="email" autofocus>

              @error('instituicao')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
            </div>

        </div>

        {{-- <div class="row subtitulo" style="margin-top:20px">
            <div class="col-sm-12">
                <p>Permissões</p>
            </div>
        </div>

        @if (!(is_null($adminResp)))
            <div class="form-group row justify-content-center">
                <div class="col-md-12">
                    Tem permissão de Administrador Responsável
                </div>
            </div>
        @else 
        <div class="form-group row justify-content-center">
            <div class="col-md-12">
                Não tem permissão de Administrador Responsável
            </div>
        </div>
        @endif

        @if (!(is_null($avaliador)))
            <div class="form-group row justify-content-center">
                <div class="col-md-12">
                    Tem permissão de Avaliador
                </div>
            </div>
        @else 
        <div class="form-group row justify-content-center">
            <div class="col-md-12">
                Não tem permissão de Avaliador
            </div>
        </div>
        @endif --}}

        @if (!(is_null($proponente)))
            {{-- <div class="form-group row justify-content-center">
                <div class="col-md-12">
                    Tem permissão de proponente
                </div>
            </div> --}}
            <div class="row subtitulo" style="margin-top:20px">
                <div class="col-sm-12">
                    <p>Dados de proponente</p>
                </div>
            </div>
            <label class="col-form-label">{{ __('SIAPE') }}</label>
            <input value="{{$proponente->SIAPE}}" id="SIAPE" type="text" class="form-control @error('SIAPE') is-invalid @enderror" name="SIAPE" disabled autocomplete="SIAPE">
            
            <label class="col-form-label">{{ __('Cargo') }}</label>
            <input value="{{$proponente->cargo}}" id="cargo" type="text" class="form-control @error('cargo') is-invalid @enderror" name="cargo" disabled autocomplete="cargo">

            <label class="col-form-label">{{ __('Vínculo') }}</label>
            <input value="{{$proponente->vinculo}}" id="vinculo" type="text" class="form-control @error('vinculo') is-invalid @enderror" name="vinculo" disabled autocomplete="vinculo">

            <label class="col-form-label">{{ __('Titulação Máxima') }}</label>
            <select id="titulacaoMaxima" class="form-control @error('titulacaoMaxima') is-invalid @enderror" name="titulacaoMaxima" disabled>
                <option value="" disabled selected hidden>-- Titulação --</option>
                <option @if ($proponente->titulacaoMaxima == "Doutorado") selected @endif value="Doutorado">Doutorado</option>
                <option @if ($proponente->titulacaoMaxima == "Mestrado") selected @endif value="Mestrado">Mestrado</option>
                <option @if ($proponente->titulacaoMaxima == "Especialização") selected @endif value="Especialização">Especialização</option>
                <option @if ($proponente->titulacaoMaxima == "Graduação") selected @endif value="Graduação">Graduação</option>
                <option @if ($proponente->titulacaoMaxima == "Técnico") selected @endif value="Técnico">Técnico</option>                        
            </select>

            <label class="col-form-label">{{ __('Ano Titulação') }}</label>
            <input value="{{$proponente->anoTitulacao}}" id="anoTitulacao" type="text" class="form-control @error('anoTitulacao') is-invalid @enderror" disabled name="anoTitulacao" autocomplete="anoTitulacao">

            <label class="col-form-label">{{ __('Área de Formação') }}</label>
            <input value="{{$proponente->areaFormacao}}" id="areaFormacao" type="text" class="form-control @error('areaFormacao') is-invalid @enderror" disabled name="areaFormacao" autocomplete="areaFormacao">
            
            <label class="col-form-label">{{ __('Bolsista Produtividade') }}</label>
            <input value="{{$proponente->bolsistaProdutividade}}" id="bolsistaProdutividade" type="text" class="form-control @error('bolsistaProdutividade') is-invalid @enderror" disabled name="bolsistaProdutividade" autocomplete="bolsistaProdutividade">

            <label class="col-form-label">{{ __('Nível') }}</label>
            <input value="{{$proponente->nivel}}" id="nivel" type="text" class="form-control @error('nivel') is-invalid @enderror" name="nivel" disabled autocomplete="nivel">

            <label class="col-form-label">{{ __('Link do Lattes') }}</label>
            <input value="{{$proponente->linkLattes}}" id="linkLattes" type="text" class="form-control @error('linkLattes') is-invalid @enderror" name="linkLattes" disabled autocomplete="linkLattes">

            <br>
        @else 
        {{-- <div class="form-group row justify-content-center">
            <div class="col-md-12">
                Não tem permissão de proponente
            </div>
        </div> --}}
        @endif

        {{-- @if (!(is_null($participante)))
            <div class="form-group row justify-content-center">
                <div class="col-md-12">
                    Tem permissão de participante
                </div>
            </div>
        @else 
        <div class="form-group row justify-content-center">
            <div class="col-md-12">
                Não tem permissão de participante
            </div>
        </div>
        @endif --}}
        {{-- <div class="row subtitulo" style="margin-top:20px">
            <div class="col-sm-12">
                <p>Endereço</p>
            </div>
        </div> --}}

        {{-- Endereço --}}
        {{-- <div class="form-group row justify-content-center">
            <div class="col-md-2">
                <label for="cep" class="col-form-label">{{ __('CEP') }}</label>
                <input onblur="pesquisacep(this.value);" value="{{$end->cep}}" id="cep" type="text" class="form-control @error('cep') is-invalid @enderror" name="cep" required autocomplete="cep">

                @error('cep')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="col-md-6">
                <label for="rua" class="col-form-label">{{ __('Rua') }}</label>
                <input value="{{$end->rua}}" id="rua" type="text" class="form-control @error('rua') is-invalid @enderror" name="rua" required autocomplete="new-password">

                @error('rua')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <div class="col-md-4">
              <label for="numero" class="col-form-label">{{ __('Número') }}</label>
              <input value="{{$end->numero}}" id="numero" type="text" class="form-control @error('numero') is-invalid @enderror" name="numero" required autocomplete="numero">

              @error('numero')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
          </div>
          </div>


          <div class="form-group row justify-content-center">
            <div class="col-md-4">
                <label for="bairro" class="col-form-label">{{ __('Bairro') }}</label>
                <input value="{{$end->bairro}}" id="bairro" type="text" class="form-control @error('bairro') is-invalid @enderror" name="bairro" required autocomplete="bairro">

                @error('bairro')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>

            <div class="col-md-4">
                  <label for="cidade" class="col-form-label">{{ __('Cidade') }}</label>
                  <input value="{{$end->cidade}}" id="cidade" type="text" class="form-control @error('cidade') is-invalid @enderror" name="cidade" required autocomplete="cidade">

                  @error('cidade')
                      <span class="invalid-feedback" role="alert">
                          <strong>{{ $message }}</strong>
                      </span>
                  @enderror
            </div>
            <div class="col-sm-4">
                <label for="uf" class="col-form-label">{{ __('UF') }}</label>
                
                <select class="form-control @error('uf') is-invalid @enderror" id="uf" name="uf">
                    <option value="" disabled selected hidden>-- UF --</option>
                    <option @if($end->uf == 'AC') selected @endif value="AC">Acre</option>
                    <option @if($end->uf == 'AL') selected @endif value="AL">Alagoas</option>
                    <option @if($end->uf == 'AP') selected @endif value="AP">Amapá</option>
                    <option @if($end->uf == 'AM') selected @endif value="AM">Amazonas</option>
                    <option @if($end->uf == 'BA') selected @endif value="BA">Bahia</option>
                    <option @if($end->uf == 'CE') selected @endif value="CE">Ceará</option>
                    <option @if($end->uf == 'DF') selected @endif value="DF">Distrito Federal</option>
                    <option @if($end->uf == 'ES') selected @endif value="ES">Espírito Santo</option>
                    <option @if($end->uf == 'GO') selected @endif value="GO">Goiás</option>
                    <option @if($end->uf == 'MA') selected @endif value="MA">Maranhão</option>
                    <option @if($end->uf == 'MT') selected @endif value="MT">Mato Grosso</option>
                    <option @if($end->uf == 'MS') selected @endif value="MS">Mato Grosso do Sul</option>
                    <option @if($end->uf == 'MG') selected @endif value="MG">Minas Gerais</option>
                    <option @if($end->uf == 'PA') selected @endif value="PA">Pará</option>
                    <option @if($end->uf == 'PB') selected @endif value="PB">Paraíba</option>
                    <option @if($end->uf == 'PR') selected @endif value="PR">Paraná</option>
                    <option @if($end->uf == 'PE') selected @endif value="PE">Pernambuco</option>
                    <option @if($end->uf == 'PI') selected @endif value="PI">Piauí</option>
                    <option @if($end->uf == 'RJ') selected @endif value="RJ">Rio de Janeiro</option>
                    <option @if($end->uf == 'RN') selected @endif value="RN">Rio Grande do Norte</option>
                    <option @if($end->uf == 'RS') selected @endif value="RS">Rio Grande do Sul</option>
                    <option @if($end->uf == 'RO') selected @endif value="RO">Rondônia</option>
                    <option @if($end->uf == 'RR') selected @endif value="RR">Roraima</option>
                    <option @if($end->uf == 'SC') selected @endif value="SC">Santa Catarina</option>
                    <option @if($end->uf == 'SP') selected @endif value="SP">São Paulo</option>
                    <option @if($end->uf == 'SE') selected @endif value="SE">Sergipe</option>
                    <option @if($end->uf == 'TO') selected @endif value="TO">Tocantins</option>
                </select>

                @error('uf')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
            </div>

          </div>
          <div class="row justify-content-center" style="margin: 20px 0 20px 0">

            <div class="col-md-6" style="padding-left:0">
                <a class="btn btn-secondary botao-form" href="{{route('home')}}" style="width:100%">Voltar</a>
            </div>
            <div class="col-md-6" style="padding-right:0">
                <button type="submit" class="btn btn-primary botao-form" style="width:100%">
                    {{ __('Concluir') }}
                </button>
            </div>
        </div> --}}

        </form>
    </div>
</div>

@endsection
@section('javascript')
  <script type="text/javascript" >
    function limpa_formulário_cep() {
            //Limpa valores do formulário de cep.
            document.getElementById('rua').value=("");
            document.getElementById('bairro').value=("");
            document.getElementById('cidade').value=("");
            document.getElementById('uf').value=("");
    }
    function meu_callback(conteudo) {
        if (!("erro" in conteudo)) {
            //Atualiza os campos com os valores.
            document.getElementById('rua').value=(conteudo.logradouro);
            document.getElementById('bairro').value=(conteudo.bairro);
            document.getElementById('cidade').value=(conteudo.localidade);
            document.getElementById('uf').value=(conteudo.uf);
        } //end if.
        else {
            //CEP não Encontrado.
            limpa_formulário_cep();
            alert("CEP não encontrado.");
        }
    }
    function pesquisacep(valor) {
        //Nova variável "cep" somente com dígitos.
        var cep = valor.replace(/\D/g, '');
        //Verifica se campo cep possui valor informado.
        if (cep != "") {
            //Expressão regular para validar o CEP.
            var validacep = /^[0-9]{8}$/;
            //Valida o formato do CEP.
            if(validacep.test(cep)) {
                //Preenche os campos com "..." enquanto consulta webservice.
                document.getElementById('rua').value="...";
                document.getElementById('bairro').value="...";
                document.getElementById('cidade').value="...";
                document.getElementById('uf').value="...";
                //Cria um elemento javascript.
                var script = document.createElement('script');
                //Sincroniza com o callback.
                script.src = 'https://viacep.com.br/ws/'+ cep + '/json/?callback=meu_callback';
                //Insere script no documento e carrega o conteúdo.
                document.body.appendChild(script);
            } //end if.
            else {
                //cep é inválido.
                limpa_formulário_cep();
                alert("Formato de CEP inválido.");
            }
        } //end if.
        else {
            //cep sem valor, limpa formulário.
            limpa_formulário_cep();
        }
    };
  </script>
@endsection
